% Testsuite for example1. These tests require consistent/1 to exist,
% which is defined in "load.pl". To run the test suite (in SWI Prolog),
% type:
%
%   ?- [../load].
%   ?- [example1].
%   ?- run_tests.
%

:- [example1].
:- begin_tests(example1).


test(consistent_tl) :-
        theory('TL', T), consistent(T).

test(consistent_t1, [fail]) :-
        theory('T1', T), consistent(T).

test(consistent_t2) :-
        theory('T2', T), consistent(T).

test(consistent_t3, [fail]) :-
        theory('T3', T), consistent(T).

test(consistent_t4) :-
        theory('T4', T), consistent(T).

test(consistent_t5, [fail]) :-
        theory('T5', T), consistent(T).

test(consistent_t6, [fail]) :-
        theory('T6', T), consistent(T).

test(consistent_t7, [fail]) :-
        theory('T7', T), consistent(T).

test(consistent_t8) :-
        theory('T8', T), consistent(T).

test(consistent_t9) :-
        theory('T9', T), consistent(T).

test(consistent_tr) :-
        theory('TR', T), consistent(T).


:- end_tests(example1).

